"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10d50a940>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10d50a9d0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10d50aa60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10d50aaf0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10d50ab80>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10d50ac10>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10d50aca0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d50ad30>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d50adc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d50ae50>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10d50aee0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10d50af70>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10d512040>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10d5120d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10d512160>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10d5121f0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10d512280>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10d512310>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10d5123a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10d512430>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10d5124c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10d512550>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10d5125e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10d512670>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10d512790>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10d512700>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10d512820>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10d5128b0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10d512940>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10d5129d0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10d512a60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10d512af0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10d512b80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10d512c10>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10d512ca0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10d512d30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10d512dc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10d512e50>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d512ee0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d512f70>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d516040>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10d5160d0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10d516160>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10d5161f0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10d516280>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10d516310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10d5163a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10d516430>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10d5164c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10d516550>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10d5165e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10d516670>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d516700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10d516790>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10d516820>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d5168b0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d516940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10d5169d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10d516a60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10d516af0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10d516b80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10d516c10>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10d516ca0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d516d30>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10d516dc0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10d516f70>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10d516e50>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10d519040>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10d5190d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10d519160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10d5191f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10d519280>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10d5193a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10d519310>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10d519430>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10d5194c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10d519550>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10d519670>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10d5195e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10d519700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10d519790>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10d519820>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10d5198b0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10d519940>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10d5199d0>)]
name: str = 'fr_HOCCN'
